import { DuplicateQuoteUseCase } from "@/contexts/sales/application";
import { registerQuoteRepository } from "../../../../Quote.repository";
import { ISalesContext } from "../../../../Sales.context";
import { DuplicateQuoteController } from "./DuplicateQuote.controller";
import { DuplicateQuotePresenter } from "./presenter";

export const duplicateQuoteController = (context: ISalesContext) => {
  registerQuoteRepository(context);
  return new DuplicateQuoteController(
    {
      useCase: new DuplicateQuoteUseCase(context),
      presenter: DuplicateQuotePresenter,
    },
    context
  );
};
